Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: gnucash
Source: http://sourceforge.net/projects/gnucash/files/gnucash%20(stable)/
Comment:
 This work was initially packaged for Debian by:
    Tyson Dowd <trd@cs.mu.oz.au> on Wed, 10 Mar 1999 13:00:52 +1100
 The packaging was completely revamped for gnucash 2.4.0-1 by:
    Micha Lenk <micha@debian.org> on Sun, 26 Dec 2010 15:23:56 +0100

Files: *
Copyright:
    2014-2017                Aaron Laws <dartme18@gmail.com> <dartmetrash@gmail.com>
    2019                     Adrian Panella <ianchi74@outlook.com>
    2015                     Alex Aycinena <alex.aycinena@gmail.com>
    2001                     Almer S. Tigelaar <almer@gnome.org>
    2003                     Andreas J. Guelzow <aguelzow@taliesin.ca>
    2006-2008                Andreas Koehler <andi5.py@gmx.net>
    2009                     Andrew Sackville-West <andrew@swclan.homelinux.org>
    2011                     Andy Clayton
    1991-1993,1996,1999-2001 Aubrey Jaffer and Radey Shouman
    2003,2009                Andy Wingo <wingo@pobox.com>
    2001                     Ben Stanley <bds02@uow.edu.au>
    2007                     Benny Sperisen <lasindi@gmail.com>
    2002-2003                Benoit Grégoire <bock@step.polymtl.ca>
    2004                     Bernd Wagner
    2000-2001                Bill Gribble <grib@billgribble.com>
    2000-2001                Bill Gribble <grib@gnumatic.com>
    2008                     Charles Day <cedayiv@gmail.com>
    2009                     Chris Dennis <chris@starsoftanalysis.co.uk>
    2005-2007                Chris Shoemaker <c.shoemaker@cox.net>
    2010-2012                Christian Stimming <christian@cstimming.de>
    2001                     Christian Stimming <stimming@tu-harburg.de>
    2001-2005,2007,2011      Christian Stimming <stimming@tuhh.de>
    2018                     Christopher Lam
    2001-2002                CodeFactory AB
    2010                     Cristian KLEIN
    2020                     Cristian Klein <cristian@kleinlabs.eu>
    2003                     Darin Willits <darin@willits.ca>
    1999-2001                Dave Peticolas <dave@krondo.com>
    2000                     Dave Peticolas <peticola@cs.ucdavis.edu>
    2003,2005-2007           David Hampton <hampton@employees.org>
    2004                     David Montenegro <sunrise2000@comcast.net>
    2002-2005,2007-2008,2011 Derek Atkins <derek@ihtfp.com>
    2000-2003,2006           Derek Atkins <warlord@MIT.EDU>
    2012                     Dmitry Smirnov <onlyjob@member.fsf.org>
    2001                     Eazel, Inc
    2006                     Eskil Bylund <eskil.bylund@gmail.com>
    2006                     Florian Steinel
    2001                     Free Software Foundation
    1994-2015                Free Software Foundation, Inc
    2011-2020                Geert Janssens <geert@kobaltwit.be>
    2010                     Geert Janssens <janssens-geert@telenet.be>
    1998                     Gerald Combs
    2005                     GnuCash team
    2000-2001                Gnumatic Incorporated
    1999-2000                Heath Martin <martinh@pegasus.cc.ucf.edu>
    1999                     Helix Code, Inc
    2000,2009                Herbert Thoma <herbie@hthoma.de>
    2005                     Imendio AB
    2003                     Jakub 'jimmac' Steiner
    2001                     James LewisMoss <dres@debian.org>
    2004                     James Strandboge <jstrand1@rochester.rr.com>
    2003                     Jan Arne Petersen <jpetersen@uni-bonn.de>
    2003                     Jan-Pascal van Best <janpascal@vanbest.org>
    1998-1999,2001           Jeremy Collins
    2011-2014,2016-2019      John Ralls <jralls@ceridwen.us>
    2001-2002,2004-2007      Joshua Sled <jsled@asynchronous.org>
    1997-2004                Linas Vepstas <linas@linas.org>
    1991                     Marc Feeley
    2001                     Linux Developers Group
    2001                     Linux Developers Group, Inc.
    1997                     Martin Jones <mjones@kde.org>
    2001-2002                Mikael Hallendal <micke@imendio.com>
    2003                     Morten Welinder <terra@gnome.org>
    2011                     Muslim Chochlov <muslim.chochlov@gmail.com>
    2004-2006                Neil Williams <linux@codehelp.co.uk>
    2008-2010                ParIT Worker Co-operative <paritinfo@parit.ca>
    2008-2010                ParIT Worker Co-operative <transparency@parit.ca>
    2012-2013                Phil Longstaff <phil.longstaff@yahoo.ca>
    2006-2010                Phil Longstaff <plongstaff@rogers.com>
    1998                     Radey Shouman
    2001-2002                Richard Hult <richard@imendio.com>
    1998-2001                Rob Browning <rlb@cs.utexas.edu>
    2011-2012,2014-2020      Robert Fewell
    2000-2001                Robert Merkel <rgmerk@mira.net>
    1997                     Robin D. Clark <rclark@cs.hmc.edu>
    2009                     Sebastian Held <sebastian.held@gmx.de>
    2008                     Sven Henkel <shenkel@gmail.com>
    1990-2000                Terry D. Boldt
    2013                     Tom Lofts <dev@loftx.co.uk>
    1997                     Torben Weis <weis@kde.org>
License: GPL-2+
Comment:
 Other contributors are listed in file AUTHORS
 .
 Files are assumed to be under same license terms
 as the application as a whole
 unless otherwise explicitly stated in the file.

Files: borrowed/chartjs/*
Copyright:
    2019 Chart.js Contributors
License: Expat

Files: borrowed/guile-json/*
Copyright:
    2013-2017 Aleix Conchillo Flaque <aconchillo@gmail.com>
    2015-2016 Jan Nieuwenhuizen <janneke@gnu.org>
License: LGPL-3+

Files: borrowed/goffice/*
Copyright:
    2002-2005 Andreas J. Guelzow <aguelzow@taliesin.ca>
    2000      Marco Pesenti Gritti
    2006      Morten Welinder <terra@gnome.org>
    1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
License: GPL-2+

Files: borrowed/libc/*
Copyright:
    2007 Andreas Koehler <andi5.py@gmx.net>
    1998 Gerald Combs <gerald@ethereal.com>
    2001 Linux Developers Group
License: GPL-2+

Files:
    gnucash/python/pycons/ishell.py
Copyright:
    2007      IBM Corporation
License: BSD-2-Clause

Files:
    gnucash/python/pycons/__init__.py
    gnucash/python/pycons/console.py
    gnucash/python/pycons/pycons
    gnucash/python/pycons/setup.py
    gnucash/python/pycons/shell.py
Copyright:
    2008      Nicolas Rougier
License: BSD-3-Clause

Files:
    libgnucash/doc/design/gnucash-design.info
    libgnucash/doc/design/gnucash-design.texi
Copyright: 2000 Gnumatic Incorporated
License: GFDL-NIV-1.1
Comment:
 http://www.debian.org/vote/2006/vote_001#outcome

Files:
    libgnucash/app-utils/gnc-sx-instance-model.h
    gnucash/gnome-utils/gnc-dense-cal-model.h
    gnucash/gnome-utils/gnc-dense-cal-store.h
    gnucash/gnome-utils/gnc-sx-instance-dense-cal-adapter.h
    gnucash/gnome-utils/gnc-sx-list-tree-model-adapter.h
    gnucash/gnome-utils/gnc-tree-view-sx-list.h
    gnucash/gnome/dialog-sx-editor.h
    gnucash/gnome/dialog-sx-editor2.h
    gnucash/gnome/dialog-sx-since-last-run.h
Copyright:
    2006      Josh Sled <jsled@asynchronous.org>
    2001,2006-2007 Joshua Sled <jsled@asynchronous.org>
License: GPL-2 or GPL-3

Files:
    libgnucash/app-utils/gnc-sx-instance-model.c
    gnucash/gnome-utils/gnc-dense-cal-model.c
    gnucash/gnome-utils/gnc-dense-cal-store.c
    gnucash/gnome-utils/gnc-sx-instance-dense-cal-adapter.c
    gnucash/gnome-utils/gnc-sx-list-tree-model-adapter.c
    gnucash/gnome-utils/gnc-tree-view-sx-list.c
    gnucash/gnome/dialog-sx-editor.c
    gnucash/gnome/dialog-sx-editor2.c
    gnucash/gnome/dialog-sx-since-last-run.c
    gnucash/gnome/gnc-plugin-page-sx-list.c
    gnucash/gnome/gnc-plugin-page-sx-list.h
Copyright:
    2006      Josh Sled <jsled@asynchronous.org>
    2001-2002,2006-2007 Joshua Sled <jsled@asynchronous.org>
    2011      Robert Fewell
License: GPL-2 or GPL-3 and exception-OpenSSL

Files:
    gnucash/import-export/csv-imp/gnc-csv-gnumeric-popup.c
    gnucash/import-export/csv-imp/gnc-csv-gnumeric-popup.h
Copyright: Gnumeric authors
License: GPL-2 or GPL-3

Files:
    borrowed/libc/strptime.c
    libgnucash/app-utils/gnc-accounting-period.c
    libgnucash/app-utils/gnc-accounting-period.h
    gnucash/gnome-search/gnc-general-search.h
    gnucash/gnome-utils/gnc-account-sel.c
    gnucash/gnome-utils/gnc-account-sel.h
    gnucash/gnome-utils/gnc-amount-edit.c
    gnucash/gnome-utils/gnc-amount-edit.h
    gnucash/gnome-utils/gnc-commodity-edit.c
    gnucash/gnome-utils/gnc-commodity-edit.h
    gnucash/gnome-utils/gnc-currency-edit.c
    gnucash/gnome-utils/gnc-currency-edit.h
    gnucash/gnome-utils/gnc-date-delta.c
    gnucash/gnome-utils/gnc-date-delta.h
    gnucash/gnome-utils/gnc-date-edit.c
    gnucash/gnome-utils/gnc-date-edit.h
    gnucash/gnome-utils/gnc-date-format.h
    gnucash/gnome-utils/gnc-general-select.c
    gnucash/gnome-utils/gnc-general-select.h
    gnucash/gnome-utils/gnc-period-select.c
    gnucash/gnome-utils/gnc-period-select.h
Copyright:
    2000      Dave Peticolas <dave@krondo.com>
    2005-2006 David Hampton <hampton@employees.org>
    2003      Derek Atkins <derek@ihtfp.com>
    1997-2001 Free Software Foundation
    1996-2000 Free Software Foundation, Inc
    2002      Joshua Sled <jsled@asynchronous.org>
License: LGPL-2+

Files:
    libgnucash/core-utils/gnc-jalali.c
    util/guile.c
Copyright:
    1996-1997,2000-2001,2006,2008 Free Software Foundation, Inc
    2001      Mohammad Toossi <mohammad@bamdad.org>
    2001      Roozbeh Pournader <roozbeh@sharif.edu>
    2007      the gtkmm development team
License: LGPL-2.1+

Files:
    libgnucash/app-utils/gfec.c
    libgnucash/app-utils/gfec.h
Copyright:
    Not-Applicable
License: public-domain
 This code is in the public domain.

Files:
    common/cmake_modules/*
Copyright:
    2017      GnuCash team
    2015      Rob Gowin
    2009-2010 Christian Stimming
    2006      Oswald Buddenhagen <ossi@kde.org>
    2017      John Ralls <jralls@ceridwen.us>
License: BSD-3-Clause~author

Files: debian/*
Copyright: 2009-2012 Micha Lenk <micha@debian.org>
           2011-2014 Sébastien Villemot <sebastien@debian.org>
           2012-2021 Dmitry Smirnov <onlyjob@debian.org>
           2004-2009 Thomas Bushnell, BSG <tb@debian.org>
           2002-2004 James A. Treacy <treacy@debian.org>
           2000-2001 John Goerzen <jgoerzen@complete.org>
           1999-2000 Tyson Dowd <trd@cs.mu.oz.au>
License: GPL-3+

License: BSD-2-Clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 ․
  1. Redistributions of source code must retain the above copyright notice,
     this list of conditions and the following disclaimer.
 ․
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
 ․
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.

License: BSD-3-Clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 ․
  1. Redistributions of source code must retain the above copyright notice,
     this list of conditions and the following disclaimer.
 ․
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
 ․
  3. Neither the name of the copyright holder nor the names of its
     contributors may be used to endorse or promote products derived from
     this software without specific prior written permission.
 ․
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.

License: BSD-3-Clause~author
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 ․
  1. Redistributions of source code must retain the copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
  3. The name of the author may not be used to endorse or promote products
     derived from this software without specific prior written permission.
 ․
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 ․
 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.
 ․
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.

License: GFDL-NIV-1.1
 Permission is granted to copy, distribute and/or modify this document under
 the terms of the GNU Free Documentation License (GFDL), Version 1.1
 published by the Free Software Foundation with no Invariant
 Sections, no Front-Cover Texts, and no Back-Cover Texts.
 .
 This manual is part of a collection of GNOME manuals distributed under the
 GFDL. If you want to distribute this manual separately from the collection,
 you can do so by adding a copy of the license to the manual, as described in
 section 6 of the license.
 .
 Many of the names used by companies to distinguish their products and services
 are claimed as trademarks. Where those names appear in any GNOME
 documentation, and the members of the GNOME Documentation Project are made
 aware of those trademarks, then the names are in capital letters or initial
 capital letters.
 .
 DOCUMENT AND MODIFIED VERSIONS OF THE DOCUMENT ARE PROVIDED UNDER THE TERMS OF
 THE GNU FREE DOCUMENTATION LICENSE WITH THE FURTHER UNDERSTANDING THAT:
 .
 1. DOCUMENT IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND,
 EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT
 THE DOCUMENT OR MODIFIED VERSION OF THE DOCUMENT IS FREE OF DEFECTS
 MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK
 AS TO THE QUALITY, ACCURACY, AND PERFORMANCE OF THE DOCUMENT OR MODIFIED
 VERSION OF THE DOCUMENT IS WITH YOU. SHOULD ANY DOCUMENT OR MODIFIED VERSION
 PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL WRITER, AUTHOR OR ANY
 CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION.
 THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO
 USE OF ANY DOCUMENT OR MODIFIED VERSION OF THE DOCUMENT IS AUTHORIZED
 HEREUNDER EXCEPT UNDER THIS DISCLAIMER; AND
 .
 2. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER IN TORT
 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE AUTHOR, INITIAL
 WRITER, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF THE DOCUMENT OR MODIFIED
 VERSION OF THE DOCUMENT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO
 ANY PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL
 DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF
 GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER
 DAMAGES OR LOSSES ARISING OUT OF OR RELATING TO USE OF THE DOCUMENT AND
 MODIFIED VERSIONS OF THE DOCUMENT, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED
 OF THE POSSIBILITY OF SUCH DAMAGES.
 .
     GNU Free Documentation License
        Version 1.1, March 2000
 .
  Copyright (C) 2000  Free Software Foundation, Inc.
      51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 .
 .
 0. PREAMBLE
 .
 The purpose of this License is to make a manual, textbook, or other
 written document "free" in the sense of freedom: to assure everyone
 the effective freedom to copy and redistribute it, with or without
 modifying it, either commercially or noncommercially.  Secondarily,
 this License preserves for the author and publisher a way to get
 credit for their work, while not being considered responsible for
 modifications made by others.
 .
 This License is a kind of "copyleft", which means that derivative
 works of the document must themselves be free in the same sense.  It
 complements the GNU General Public License, which is a copyleft
 license designed for free software.
 .
 We have designed this License in order to use it for manuals for free
 software, because free software needs free documentation: a free
 program should come with manuals providing the same freedoms that the
 software does.  But this License is not limited to software manuals;
 it can be used for any textual work, regardless of subject matter or
 whether it is published as a printed book.  We recommend this License
 principally for works whose purpose is instruction or reference.
 .
 .
 1. APPLICABILITY AND DEFINITIONS
 .
 This License applies to any manual or other work that contains a
 notice placed by the copyright holder saying it can be distributed
 under the terms of this License.  The "Document", below, refers to any
 such manual or work.  Any member of the public is a licensee, and is
 addressed as "you".
 .
 A "Modified Version" of the Document means any work containing the
 Document or a portion of it, either copied verbatim, or with
 modifications and/or translated into another language.
 .
 A "Secondary Section" is a named appendix or a front-matter section of
 the Document that deals exclusively with the relationship of the
 publishers or authors of the Document to the Document's overall subject
 (or to related matters) and contains nothing that could fall directly
 within that overall subject.  (For example, if the Document is in part a
 textbook of mathematics, a Secondary Section may not explain any
 mathematics.)  The relationship could be a matter of historical
 connection with the subject or with related matters, or of legal,
 commercial, philosophical, ethical or political position regarding
 them.
 .
 The "Invariant Sections" are certain Secondary Sections whose titles
 are designated, as being those of Invariant Sections, in the notice
 that says that the Document is released under this License.
 .
 The "Cover Texts" are certain short passages of text that are listed,
 as Front-Cover Texts or Back-Cover Texts, in the notice that says that
 the Document is released under this License.
 .
 A "Transparent" copy of the Document means a machine-readable copy,
 represented in a format whose specification is available to the
 general public, whose contents can be viewed and edited directly and
 straightforwardly with generic text editors or (for images composed of
 pixels) generic paint programs or (for drawings) some widely available
 drawing editor, and that is suitable for input to text formatters or
 for automatic translation to a variety of formats suitable for input
 to text formatters.  A copy made in an otherwise Transparent file
 format whose markup has been designed to thwart or discourage
 subsequent modification by readers is not Transparent.  A copy that is
 not "Transparent" is called "Opaque".
 .
 Examples of suitable formats for Transparent copies include plain
 ASCII without markup, Texinfo input format, LaTeX input format, SGML
 or XML using a publicly available DTD, and standard-conforming simple
 HTML designed for human modification.  Opaque formats include
 PostScript, PDF, proprietary formats that can be read and edited only
 by proprietary word processors, SGML or XML for which the DTD and/or
 processing tools are not generally available, and the
 machine-generated HTML produced by some word processors for output
 purposes only.
 .
 The "Title Page" means, for a printed book, the title page itself,
 plus such following pages as are needed to hold, legibly, the material
 this License requires to appear in the title page.  For works in
 formats which do not have any title page as such, "Title Page" means
 the text near the most prominent appearance of the work's title,
 preceding the beginning of the body of the text.
 .
 .
 2. VERBATIM COPYING
 .
 You may copy and distribute the Document in any medium, either
 commercially or noncommercially, provided that this License, the
 copyright notices, and the license notice saying this License applies
 to the Document are reproduced in all copies, and that you add no other
 conditions whatsoever to those of this License.  You may not use
 technical measures to obstruct or control the reading or further
 copying of the copies you make or distribute.  However, you may accept
 compensation in exchange for copies.  If you distribute a large enough
 number of copies you must also follow the conditions in section 3.
 .
 You may also lend copies, under the same conditions stated above, and
 you may publicly display copies.
 .
 .
 3. COPYING IN QUANTITY
 .
 If you publish printed copies of the Document numbering more than 100,
 and the Document's license notice requires Cover Texts, you must enclose
 the copies in covers that carry, clearly and legibly, all these Cover
 Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on
 the back cover.  Both covers must also clearly and legibly identify
 you as the publisher of these copies.  The front cover must present
 the full title with all words of the title equally prominent and
 visible.  You may add other material on the covers in addition.
 Copying with changes limited to the covers, as long as they preserve
 the title of the Document and satisfy these conditions, can be treated
 as verbatim copying in other respects.
 .
 If the required texts for either cover are too voluminous to fit
 legibly, you should put the first ones listed (as many as fit
 reasonably) on the actual cover, and continue the rest onto adjacent
 pages.
 .
 If you publish or distribute Opaque copies of the Document numbering
 more than 100, you must either include a machine-readable Transparent
 copy along with each Opaque copy, or state in or with each Opaque copy
 a publicly-accessible computer-network location containing a complete
 Transparent copy of the Document, free of added material, which the
 general network-using public has access to download anonymously at no
 charge using public-standard network protocols.  If you use the latter
 option, you must take reasonably prudent steps, when you begin
 distribution of Opaque copies in quantity, to ensure that this
 Transparent copy will remain thus accessible at the stated location
 until at least one year after the last time you distribute an Opaque
 copy (directly or through your agents or retailers) of that edition to
 the public.
 .
 It is requested, but not required, that you contact the authors of the
 Document well before redistributing any large number of copies, to give
 them a chance to provide you with an updated version of the Document.
 .
 .
 4. MODIFICATIONS
 .
 You may copy and distribute a Modified Version of the Document under
 the conditions of sections 2 and 3 above, provided that you release
 the Modified Version under precisely this License, with the Modified
 Version filling the role of the Document, thus licensing distribution
 and modification of the Modified Version to whoever possesses a copy
 of it.  In addition, you must do these things in the Modified Version:
 .
 A. Use in the Title Page (and on the covers, if any) a title distinct
    from that of the Document, and from those of previous versions
    (which should, if there were any, be listed in the History section
    of the Document).  You may use the same title as a previous version
    if the original publisher of that version gives permission.
 B. List on the Title Page, as authors, one or more persons or entities
    responsible for authorship of the modifications in the Modified
    Version, together with at least five of the principal authors of the
    Document (all of its principal authors, if it has less than five).
 C. State on the Title page the name of the publisher of the
    Modified Version, as the publisher.
 D. Preserve all the copyright notices of the Document.
 E. Add an appropriate copyright notice for your modifications
    adjacent to the other copyright notices.
 F. Include, immediately after the copyright notices, a license notice
    giving the public permission to use the Modified Version under the
    terms of this License, in the form shown in the Addendum below.
 G. Preserve in that license notice the full lists of Invariant Sections
    and required Cover Texts given in the Document's license notice.
 H. Include an unaltered copy of this License.
 I. Preserve the section entitled "History", and its title, and add to
    it an item stating at least the title, year, new authors, and
    publisher of the Modified Version as given on the Title Page.  If
    there is no section entitled "History" in the Document, create one
    stating the title, year, authors, and publisher of the Document as
    given on its Title Page, then add an item describing the Modified
    Version as stated in the previous sentence.
 J. Preserve the network location, if any, given in the Document for
    public access to a Transparent copy of the Document, and likewise
    the network locations given in the Document for previous versions
    it was based on.  These may be placed in the "History" section.
    You may omit a network location for a work that was published at
    least four years before the Document itself, or if the original
    publisher of the version it refers to gives permission.
 K. In any section entitled "Acknowledgements" or "Dedications",
    preserve the section's title, and preserve in the section all the
    substance and tone of each of the contributor acknowledgements
    and/or dedications given therein.
 L. Preserve all the Invariant Sections of the Document,
    unaltered in their text and in their titles.  Section numbers
    or the equivalent are not considered part of the section titles.
 M. Delete any section entitled "Endorsements".  Such a section
    may not be included in the Modified Version.
 N. Do not retitle any existing section as "Endorsements"
    or to conflict in title with any Invariant Section.
 .
 If the Modified Version includes new front-matter sections or
 appendices that qualify as Secondary Sections and contain no material
 copied from the Document, you may at your option designate some or all
 of these sections as invariant.  To do this, add their titles to the
 list of Invariant Sections in the Modified Version's license notice.
 These titles must be distinct from any other section titles.
 .
 You may add a section entitled "Endorsements", provided it contains
 nothing but endorsements of your Modified Version by various
 parties--for example, statements of peer review or that the text has
 been approved by an organization as the authoritative definition of a
 standard.
 .
 You may add a passage of up to five words as a Front-Cover Text, and a
 passage of up to 25 words as a Back-Cover Text, to the end of the list
 of Cover Texts in the Modified Version.  Only one passage of
 Front-Cover Text and one of Back-Cover Text may be added by (or
 through arrangements made by) any one entity.  If the Document already
 includes a cover text for the same cover, previously added by you or
 by arrangement made by the same entity you are acting on behalf of,
 you may not add another; but you may replace the old one, on explicit
 permission from the previous publisher that added the old one.
 .
 The author(s) and publisher(s) of the Document do not by this License
 give permission to use their names for publicity for or to assert or
 imply endorsement of any Modified Version.
 .
 .
 5. COMBINING DOCUMENTS
 .
 You may combine the Document with other documents released under this
 License, under the terms defined in section 4 above for modified
 versions, provided that you include in the combination all of the
 Invariant Sections of all of the original documents, unmodified, and
 list them all as Invariant Sections of your combined work in its
 license notice.
 .
 The combined work need only contain one copy of this License, and
 multiple identical Invariant Sections may be replaced with a single
 copy.  If there are multiple Invariant Sections with the same name but
 different contents, make the title of each such section unique by
 adding at the end of it, in parentheses, the name of the original
 author or publisher of that section if known, or else a unique number.
 Make the same adjustment to the section titles in the list of
 Invariant Sections in the license notice of the combined work.
 .
 In the combination, you must combine any sections entitled "History"
 in the various original documents, forming one section entitled
 "History"; likewise combine any sections entitled "Acknowledgements",
 and any sections entitled "Dedications".  You must delete all sections
 entitled "Endorsements."
 .
 .
 6. COLLECTIONS OF DOCUMENTS
 .
 You may make a collection consisting of the Document and other documents
 released under this License, and replace the individual copies of this
 License in the various documents with a single copy that is included in
 the collection, provided that you follow the rules of this License for
 verbatim copying of each of the documents in all other respects.
 .
 You may extract a single document from such a collection, and distribute
 it individually under this License, provided you insert a copy of this
 License into the extracted document, and follow this License in all
 other respects regarding verbatim copying of that document.
 .
 .
 7. AGGREGATION WITH INDEPENDENT WORKS
 .
 A compilation of the Document or its derivatives with other separate
 and independent documents or works, in or on a volume of a storage or
 distribution medium, does not as a whole count as a Modified Version
 of the Document, provided no compilation copyright is claimed for the
 compilation.  Such a compilation is called an "aggregate", and this
 License does not apply to the other self-contained works thus compiled
 with the Document, on account of their being thus compiled, if they
 are not themselves derivative works of the Document.
 .
 If the Cover Text requirement of section 3 is applicable to these
 copies of the Document, then if the Document is less than one quarter
 of the entire aggregate, the Document's Cover Texts may be placed on
 covers that surround only the Document within the aggregate.
 Otherwise they must appear on covers around the whole aggregate.
 .
 .
 8. TRANSLATION
 .
 Translation is considered a kind of modification, so you may
 distribute translations of the Document under the terms of section 4.
 Replacing Invariant Sections with translations requires special
 permission from their copyright holders, but you may include
 translations of some or all Invariant Sections in addition to the
 original versions of these Invariant Sections.  You may include a
 translation of this License provided that you also include the
 original English version of this License.  In case of a disagreement
 between the translation and the original English version of this
 License, the original English version will prevail.
 .
 .
 9. TERMINATION
 .
 You may not copy, modify, sublicense, or distribute the Document except
 as expressly provided for under this License.  Any other attempt to
 copy, modify, sublicense or distribute the Document is void, and will
 automatically terminate your rights under this License.  However,
 parties who have received copies, or rights, from you under this
 License will not have their licenses terminated so long as such
 parties remain in full compliance.
 .
 .
 10. FUTURE REVISIONS OF THIS LICENSE
 .
 The Free Software Foundation may publish new, revised versions
 of the GNU Free Documentation License from time to time.  Such new
 versions will be similar in spirit to the present version, but may
 differ in detail to address new problems or concerns.  See
 http://www.gnu.org/copyleft/.
 .
 Each version of the License is given a distinguishing version number.
 If the Document specifies that a particular numbered version of this
 License "or any later version" applies to it, you have the option of
 following the terms and conditions either of that specified version or
 of any later version that has been published (not as a draft) by the
 Free Software Foundation.  If the Document does not specify a version
 number of this License, you may choose any version ever published (not
 as a draft) by the Free Software Foundation.
 .
 .
 ADDENDUM: How to use this License for your documents
 .
 To use this License in a document you have written, include a copy of
 the License in the document and put the following copyright and
 license notices just after the title page:
 .
       Copyright (c)  YEAR  YOUR NAME.
       Permission is granted to copy, distribute and/or modify this document
       under the terms of the GNU Free Documentation License, Version 1.1
       or any later version published by the Free Software Foundation;
       with the Invariant Sections being LIST THEIR TITLES, with the
       Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.
       A copy of the license is included in the section entitled "GNU
       Free Documentation License".
 .
 If you have no Invariant Sections, write "with no Invariant Sections"
 instead of saying which ones are invariant.  If you have no
 Front-Cover Texts, write "no Front-Cover Texts" instead of
 "Front-Cover Texts being LIST"; likewise for Back-Cover Texts.
 .
 If your document contains nontrivial examples of program code, we
 recommend releasing these examples in parallel under your choice of
 free software license, such as the GNU General Public License,
 to permit their use in free software.

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2
 as published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License Version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-2+
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 2 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License Version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, version 3 of the License.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License Version 3 can be found in "/usr/share/common-licenses/GPL-3".

License: GPL-3+
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License Version 3 can be found in "/usr/share/common-licenses/GPL-3".

License: LGPL-3+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 3 of the License, or (at your option) any later version.
 ․
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 ․
 On Debian systems, the complete text of the GNU Lesser General Public
 License Version 3 can be found in "/usr/share/common-licenses/LGPL-3".

License: LGPL-2+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Library General Public
 License Version 2 can be found in "/usr/share/common-licenses/LGPL-2".

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General Public
 License Version 2.1 can be found in "/usr/share/common-licenses/LGPL-2.1".

License: exception-OpenSSL
 As a special exception, permission is granted to link the binary
 module resultant from this code with the OpenSSL project's
 "OpenSSL" library (or modified versions of it that use the same
 license as the "OpenSSL" library), and distribute the linked
 executable.  You must obey the GNU General Public License in all
 respects for all of the code used other than "OpenSSL". If you
 modify this file, you may extend this exception to your version
 of the file, but you are not obligated to do so. If you do not
 wish to do so, delete this exception statement from your version
 of this file.

